Skip to main content
GET
/
v1
/
reports
/
nps-tool
/
{npsToolId}
Get the NPS report for a specific NPS tool
curl --request GET \
  --url https://clientapi.woku.app/v1/reports/nps-tool/{npsToolId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://clientapi.woku.app/v1/reports/nps-tool/{npsToolId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://clientapi.woku.app/v1/reports/nps-tool/{npsToolId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "statusCode": 400,
  "message": "<string>",
  "error": "Bad Request"
}
{
"statusCode": 403,
"message": "Authentication required",
"error": "Forbidden"
}
{
"statusCode": 404,
"message": "External tracker not found",
"error": "Not Found"
}

Authorizations

Authorization
string
header
required

Company API key. Obtain this from your Woku dashboard under Settings > API Keys. The same key used for the v0 endpoints.

Path Parameters

npsToolId
string
required

MongoDB ObjectId of the NPS tool.

Pattern: ^[0-9a-fA-F]{24}$

Response

NPS tool report